tigase.server.xmppsession

## Class SessionManagerConfig

- java.lang.Object
- - tigase.server.xmppsession.SessionManagerConfig

-     public abstract class SessionManagerConfig
      extends Object

  Describe class SessionManagerConfig here. Created: Tue Oct 24 23:07:57 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACTIVE_USER_TIMEFRAME_KEY`
    `protected static long` | `ACTIVE_USER_TIMEFRAME_VAL`
    `protected static String` | `ADMIN_SCRIPTS_PROP_KEY` Field description
    `protected static String` | `ADMIN_SCRIPTS_PROP_VAL` Field description
    `protected static String` | `AUTH_TIMEOUT_PROP_KEY`
    `protected static long` | `AUTH_TIMEOUT_PROP_VAL`
    `protected static String` | `AUTO_CREATE_OFFLINE_USER_PROP_KEY` Field description
    `protected static String` | `AUTO_CREATE_OFFLINE_USER_PROP_VAL` Field description
    `static String` | `defaultHandlerProcId` Field description
    `protected static String` | `FORCE_DETAIL_STALE_CONNECTION_CHECK` Field description
    `static String` | `PLUGINS_CONCURRENCY_PROP_KEY` Field description
    `static String` | `PLUGINS_CONF_PROP_KEY` Field description
    `static String` | `PLUGINS_PROP_KEY` Field description
    `static String` | `sessionCloseProcId` Field description
    `static String` | `sessionOpenProcId` Field description
    `protected static String` | `SKIP_PRIVACY_PROP_KEY` Field description
    `protected static String` | `SM_THREADS_FACTOR_PROP_KEY`
    `protected static int` | `SM_THREADS_FACTOR_PROP_VAL`
    `protected static String` | `SM_THREADS_POOL_CUSTOM_PROP_VAL` Field description
    `protected static String` | `SM_THREADS_POOL_PROP_KEY` Field description
    `protected static String` | `SM_THREADS_POOL_PROP_VAL` Field description
    `protected static String` | `STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionManagerConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `getActivePlugins(Map<String,Object> props)` Returns list of active plugins with implementation available
    `static void` | `getDefaults(Map<String,Object> props, Map<String,Object> params)` Method description
    `static XMPPPacketFilterIfc` | `getPacketFilter(String plug_id)` Get packetfilter instance
    `static XMPPPostprocessorIfc` | `getPostprocessor(String plug_id)` Get postprocessor instance
    `static XMPPPreprocessorIfc` | `getPreprocessor(String plug_id)` Get preprocessor instance
    `static XMPPProcessorIfc` | `getProcessor(String plug_id)` Get processor instance
    `static XMPPStopListenerIfc` | `getStopListener(String plug_id)` Get stoplistener instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultHandlerProcId

          public static final String defaultHandlerProcId

      Field description
      See Also:
        Constant Field Values

    - #### PLUGINS_CONCURRENCY_PROP_KEY

          public static final String PLUGINS_CONCURRENCY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### PLUGINS_CONF_PROP_KEY

          public static final String PLUGINS_CONF_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### PLUGINS_PROP_KEY

          public static final String PLUGINS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### sessionCloseProcId

          public static final String sessionCloseProcId

      Field description
      See Also:
        Constant Field Values

    - #### sessionOpenProcId

          public static final String sessionOpenProcId

      Field description
      See Also:
        Constant Field Values

    - #### ADMIN_SCRIPTS_PROP_KEY

          protected static final String ADMIN_SCRIPTS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### ADMIN_SCRIPTS_PROP_VAL

          protected static final String ADMIN_SCRIPTS_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_OFFLINE_USER_PROP_KEY

          protected static final String AUTO_CREATE_OFFLINE_USER_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_OFFLINE_USER_PROP_VAL

          protected static final String AUTO_CREATE_OFFLINE_USER_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### FORCE_DETAIL_STALE_CONNECTION_CHECK

          protected static final String FORCE_DETAIL_STALE_CONNECTION_CHECK

      Field description
      See Also:
        Constant Field Values

    - #### SKIP_PRIVACY_PROP_KEY

          protected static final String SKIP_PRIVACY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_CUSTOM_PROP_VAL

          protected static final String SM_THREADS_POOL_CUSTOM_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_PROP_KEY

          protected static final String SM_THREADS_POOL_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_PROP_VAL

          protected static final String SM_THREADS_POOL_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### SM_THREADS_FACTOR_PROP_KEY

          protected static final String SM_THREADS_FACTOR_PROP_KEY

      See Also:
        Constant Field Values

    - #### SM_THREADS_FACTOR_PROP_VAL

          protected static final int SM_THREADS_FACTOR_PROP_VAL

      See Also:
        Constant Field Values

    - #### AUTH_TIMEOUT_PROP_KEY

          protected static final String AUTH_TIMEOUT_PROP_KEY

      See Also:
        Constant Field Values

    - #### AUTH_TIMEOUT_PROP_VAL

          protected static final long AUTH_TIMEOUT_PROP_VAL

      See Also:
        Constant Field Values

    - #### ACTIVE_USER_TIMEFRAME_KEY

          protected static final String ACTIVE_USER_TIMEFRAME_KEY

      See Also:
        Constant Field Values

    - #### ACTIVE_USER_TIMEFRAME_VAL

          protected static final long ACTIVE_USER_TIMEFRAME_VAL

      See Also:
        Constant Field Values

    - #### STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY

          protected static final String STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SessionManagerConfig

          public SessionManagerConfig()

  - ### Method Detail

    - #### getActivePlugins

          public static String[] getActivePlugins(Map<String,Object> props)

      Returns list of active plugins with implementation available
      Parameters:
        `props` -
      Returns:
        a value of `String[]`

    - #### getDefaults

          public static void getDefaults(Map<String,Object> props,
                                         Map<String,Object> params)

      Method description
      Parameters:
        `props` -
        `params` -

    - #### getPacketFilter

          public static XMPPPacketFilterIfc getPacketFilter(String plug_id)

      Get packetfilter instance
      Parameters:
        `plug_id` -
      Returns:
        a value of `XMPPPacketFilterIfc`

    - #### getPostprocessor

          public static XMPPPostprocessorIfc getPostprocessor(String plug_id)

      Get postprocessor instance
      Parameters:
        `plug_id` -
      Returns:
        a value of `XMPPPostprocessorIfc`

    - #### getPreprocessor

          public static XMPPPreprocessorIfc getPreprocessor(String plug_id)

      Get preprocessor instance
      Parameters:
        `plug_id` -
      Returns:
        a value of `XMPPPreprocessorIfc`

    - #### getProcessor

          public static XMPPProcessorIfc getProcessor(String plug_id)

      Get processor instance
      Parameters:
        `plug_id` -
      Returns:
        a value of `XMPPProcessorIfc`

    - #### getStopListener

          public static XMPPStopListenerIfc getStopListener(String plug_id)

      Get stoplistener instance
      Parameters:
        `plug_id` -
      Returns:
        a value of `XMPPStopListenerIfc`

Copyright © 2022 "Tigase, Inc.". All rights reserved.